开始使用:在 macOS 上安装

系统要求

安装并运行 Flutter ,你的开发环境必须满足这些最低要求:

  • 操作系统:macOS (64-bit)。
  • 磁盘空间: 700 MB (不包括 Xcode 和 Android Studio 的磁盘空间)。
  • 工具:Flutter 依赖你环境中可用的这些命令行工具。
    • bashmkdirrmgitcurlunzipwhich

获取 Flutter SDK

获取 Flutter ,你可使用 git去克隆 Flutter 的仓库然后添加 flutter 工具到你的路径,运行 flutter doctor 显示你可能要安装的依赖。

克隆仓库

如果你是第一次在你机器上安装 Flutter ,克隆 beta 分支的仓库然后添加 flutter 工具到你的路径:

$ git clone -b beta https://github.com/flutter/flutter.git
$ export PATH=`pwd`/flutter/bin:$PATH

上面的命令会在当前的终端窗口暂时设置 PATH 变量,要永久添加 Flutter 到你的路径,请参阅 更新你的路径

要更新一个现有版本的 Flutter ,请参阅更新 Flutter

运行 flutter doctor

运行以下命令可以看到你是否需要安装任何依赖来完成安装:

$ flutter doctor

这个命令会检查你的环境并显示一份报告在终端窗口,Dart SDK 已和 Flutter 捆绑在一起,所以你不需要额外安装 Dart 。仔细检查输出信息是否需要安装其他软件或者执行其他任务(以粗体字显示)。

举个例子:

[-] Android toolchain - develop for Android devices
    • Android SDK at /Users/obiwan/Library/Android/sdk
    ✗ Android SDK is missing command line tools; download from https://goo.gl/XxQghQ
    • Try re-installing or updating your Android SDK,
      visit https://flutter.io/setup/#android-setup for detailed instructions.

这是你第一次去运行 flutter 命令(比如 flutter doctor),它会下载依赖库,并且自行编译。后续运行这条命令就会更加快了。

接下来的章节就是描述怎么执行这些任务和完成设置过程。你会看到 flutter doctor 输出了假如你是用了 IDE ,就会显示 IntelliJ IDEA , Android Studio , 和 VS Code 这些编译器的可用插件。请参阅编译器设置根据步骤去安装 Flutter 和 Dart 插件。

当你安装好了所有缺失的依赖库,运行 flutter doctor 命令去验证你的设置是否正确。

这个flutter 工具使用了 Google Analytics 匿名分析 报告功能,使用情况信息和基本崩溃报告。这些数据用于帮助改进 Flutter 工具。并且这个分析报告是不会在第一次运行或者任何涉及到 flutter config 的设置运行时发送,因此你可以在任何分析之前退出分析。要禁用分析的话,输入flutter config --no-analytics ,要显示当前配置的话输入 flutter config 。详情请参阅 Google 的隐私政策:www.google.com/intl/en/policies/privacy

更新你的路径

你只能在命令行中更新你当前会话窗口的 PATH 变量,如克隆 Flutter 库所示。当永久更新这个变量,这样子你就可以在任意终端会话中运行 flutter 命令了。

对于计算机来说,永久给全部终端会话修改这个变量这些操作都是不同的。通常,你会打开新窗口时将命令输入。举个例子:

  1. 确定好放置 Flutter SDK 的目录,你会在步骤 3 用到它。
  2. 打开(或者创建) $HOME/.bash_profile 这个文件或者文件名可能不同于你计算机的。
  3. 添加下面命令行并将[PATH_TO_FLUTTER_GIT_DIRECTORY] 改为你克隆 Flutter 仓库的路径:
$ export PATH=[PATH_TO_FLUTTER_GIT_DIRECTORY]/flutter/bin:$PATH
  1. 运行 source $HOME/.bash_profile 刷新当前窗口。
  2. 验证 flutter/bin 是否在你的路径上:
$ echo $PATH

更多的细节,可以参阅 StackExchange 上的问题

编译器设置

使用 flutter 命令行工具,你可以使用任何编辑器去开发 Flutter 应用。在命令提示符窗口输入 flutter help 可以显示可用的操作。

我推荐使用我们的插件来获取丰富的 IDE 体验 ,支持编辑,运行和调试 Flutter 应用。参阅编辑器设置了解详细步骤。

平台设置

macOS 支持为 iOS 和 Android 开发 Flutter 应用程序。现在只要在两个系统平台中的一个完成设置,就可以构建运行你的第一个 Flutter 应用程序了。

iOS 设置

安装 Xcode

为 iOS 开发 Flutter 应用,你需要一台安装了 Xcode 7.2 或者更新版本的 Mac 。

  1. 安装 Xcode 7.2 或者更新版本(通过网页下载或者 App Store 安装)。
  2. 通过在在命令行运行sudo xcode-select --switch /Applications/Xcode.app/Contents/Developer 来配置 Xcode 命令行工具来使用安装好的最新版本 Xcode 。

    大多数情况下,这是安装最新版 Xcode 的正确的路径。如果你想使用不同的版本,请改为指定的路径。

  3. 确保 Xcode 许可协议是通过打开一次 Xcode 或者从命令行中运行 sudo xcodebuild -license 来签署的。

使用 Xcode ,你就可以在你的 iOS 设备或者在模拟器上运行 Flutter 应用。

设置 iOS 模拟器

准备在 iOS 模拟器上运行并测试你的 Flutter 应用,根据以下步骤:

  1. 在你的 Mac 上,可以通过 Spotlight 或者使用以下命令找到模拟器:
$ open -a Simulator
  1. 通过检查模拟器的 Hardware > Device 设置,确保你的模拟器运行 64 位的设备(iPhone 5s 或者更高版本)。
  2. 根据你开发设备的屏幕尺寸,模拟高屏幕密度的 iOS 设备可能会溢出你的屏幕,在模拟器的 Window > Scale 菜单设置设备的比例。
  3. 运行flutter run 来启动你的应用。

部署到 iOS 设备

部署你的 Flutter 应用程序到物理的 iOS 设备,你需要一些额外的工具和一个 Apple 账号。你还需要在 Xcode 中设置物理设备的部署。

  1. 安装 homebrew
  2. 打开终端运行这些命令来安装部署 Flutter 应用程序到 iOS 设备的工具。
$ brew update
$ brew install --HEAD libimobiledevice
$ brew install ideviceinstaller ios-deploy cocoapods
$ pod setup

如果这些命令中的任何一个命令失败出现错误,运行 brew doctor 并根据说明解决问题。

  1. 遵循 Xcode 的签名流程来配置你的项目:
    1. 打开默认的 Xcode 工作空间,找到你的 Flutter 项目目录并打开终端运行 open ios/Runner.xcworkspace
    2. 在 Xcode 左边的导航面板,选择 Runner 项目。
    3. Runner 目标设置界面,确保在 General > Signing > Team 选择了你的开发团队,当你选择了开发团队,Xcode 创建和下载一个开发证书,向你的设备注册你的账户,并创建和下载配置文件(如果你需要的话)。
      • 要开始你的第一个 iOS 开发项目,你可能需要在 Xcode 上注册你的 Apple ID。
        Xcode account add
        任意的 Apple ID 都支持开发和测试。需要注册 Apple 开发者计划才能分发你的应用到 App Store 。请参阅 Apple 会员类型之间的差异
      • 你第一次用物理设备开发 iOS 时,你需要同时信任该设备上的 Mac 和开发证书。 当你的 iOS 设备第一次连接到你的 Mac 时,在对话框提示中选择 Trust
        Trust Mac
        然后,打开 iOS 设备上的设置,选择常规 > 设备管理 然后信任你的证书。
      • 如果 Xcode 的自动签名失败,验证项目的General > Identity > Bundle Identifier 是否唯一。
        Check the app's Bundle ID
  2. 运行flutter run 启动你的应用程序。

Android 设置

安装 Android Studio

为 Android 开发 Flutter 应用,你可以使用 Mac ,Windows 或者是 Linux(64 位)机器。

Flutter 要求安装和配置 Android Studio:

  1. 下载并安装 Android Studio

  2. 启动 Android Studio,并执行 Android Studio 安装向导。这将会安装 Flutter 为 Android 开发所需的最新的 Android SDK ,Android SDK 平台工具和 Android SDK 构建工具。

设置你的 Android 设备

为了在 Android 设备上运行和测试你的 Flutter 应用,你需要一台运行 Android 4.1( API 级别 16 )或者更高版本的 Android 设备。

  1. 在你的设备上启动开发者选项USB 调试,详情说明可在 Android 文档中找到。
  2. 使用 USB 线将设备插入电脑。如果在设备上出现提示,请授权你的电脑访问你的设备。
  3. 在终端运行 flutter devices 命令来验证 Flutter 识别到你连接的 Android 设备。
  4. 运行 flutter run 来启动的你的应用。

通常情况下, Flutter 使用了 adb 工具所基于的 Android SDK 版本,如果你要安装使用不同的 Android SDK 版本,就必须设置 ANDROID_HOME 环境变量设置为安装目录。

设置 Android 模拟器

准备在 Android 模拟器上运行和测试你的 Flutter 应用,需要按照以下几个步骤来操作:

  1. 在你的电脑上启动 VM 加速
  2. 启动 Android Studio > Tools > Android > AVD Manager 和选择 Create Virtual Device
  3. 选择一个设备的定义和选择 Next
  4. 为你的模拟器 Android 版本选择一个或者多个系统镜像,和选择 Next 。推荐使用 x86 or x86_64 镜像。
  5. 为了提高模拟器性能,选择 Hardware - GLES 2.0 来启动硬件加速
  6. 验证 AVD 的配置是否正确,然后选择 Finish

    有关上述步骤的详细信息,请查阅管理 AVDs

  7. 在 Android 虚拟设备管理器中,在工具栏点击 Run 。模拟器启动和显示所选操作系统版本和设备的默认界面。
  8. 通过 flutter run 来启动你的应用,连接设备的名称是 Android SDK built for <platform> ,这里的 platform 是指设备 soc 芯片系列,比如 x86 。

下一步

下一步:配置编译器